# PSF-LoginServer - master - net.psforever.objects.serverobject.environment.InteractWithEnvironment
PSF - LoginServer - master - net.psforever.objects.serverobject.environment.InteractWithEnvironment
Keywords: PSF LoginServer master net.psforever.objects.serverobject.environment.InteractWithEnvironment

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractingWithEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

c

net.psforever.objects.serverobject.environment

# InteractWithEnvironment 

###
Companion object InteractWithEnvironment

#### class InteractWithEnvironment extends ZoneInteraction

This game entity may infrequently test whether it may interact with game world environment.

Source
  InteractWithEnvironment.scala

Linear Supertypes
ZoneInteraction, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InteractWithEnvironment
2. ZoneInteraction
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InteractWithEnvironment()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def interaction(target: InteractsWithZone): Unit

    The method by which zone interactions are tested or a current interaction maintained.

    The method by which zone interactions are tested or a current interaction maintained. Utilize a function literal that, when called, returns a function literal of the same type; the function that is returned will not necessarily be the same as the one that was used but will represent the existing and ongoing status of interaction with the environment. Calling one function and exchanging it for another function to be called like this creates a procedure that controls and limits the interactions with the environment to only what is necessary.

    target

      the fixed element in this test

    Definition Classes
      InteractWithEnvironment → ZoneInteraction
    See also

      `InteractsWithEnvironment.blockedFromInteracting`

      `InteractsWithEnvironment.onStableEnvironment`

      `InteractsWithEnvironment.awaitOngoingInteraction`

12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def resetInteraction(target: InteractsWithZone): Unit

    Suspend any current interaction procedures through the proper channels or deactivate a previously flagged interaction blocking procedure and reset the system to its neutral state.

    Suspend any current interaction procedures through the proper channels or deactivate a previously flagged interaction blocking procedure and reset the system to its neutral state. The main difference between resetting and flagging the blocking procedure is that resetting will (probably) restore the previously active procedure on the next `zoneInteraction` call while blocking will halt all attempts to establish a new active interaction procedure and unblocking will immediately install whatever is the current active interaction.

    target

      the fixed element in this test

    Definition Classes
      InteractWithEnvironment → ZoneInteraction
    See also

      `InteractsWithEnvironment.onStableEnvironment`

17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ZoneInteraction

### Inherited from AnyRef

### Inherited from Any

### Ungrouped